Domains

Custom domains for short links.

GET/api/v1/domains
List domain
NameTypeRequiredDescription
pageintegerNoPage number (default 1)
results_per_pageintegerNoItems per page (default 25, max 100)
searchstringNoSearch term
search_bystringNoColumn to search
order_bystringNoSort column
order_typestringNoasc or desc
datetime_startstringNoISO datetime filter start
datetime_endstringNoISO datetime filter end
curl -X GET 'https://forqrcode.com/api/v1/domains' \
  -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/available
List available domains
curl -X GET 'https://forqrcode.com/api/v1/domains/available' \
  -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/{id}
Read one domain
NameTypeRequiredDescription
idintegerYes
curl -X GET 'https://forqrcode.com/api/v1/domains/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
POST/api/v1/domains
Create domain
NameTypeRequiredDescription
hoststringYes
curl -X POST 'https://forqrcode.com/api/v1/domains' \
  -H 'Authorization: Bearer YOUR_API_KEY'
PATCH/api/v1/domains/{id}
Update domain
NameTypeRequiredDescription
idintegerYes
curl -X PATCH 'https://forqrcode.com/api/v1/domains/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
DELETE/api/v1/domains/{id}
Delete domain
NameTypeRequiredDescription
idintegerYes
curl -X DELETE 'https://forqrcode.com/api/v1/domains/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameter names and JSON examples are shown in English. Replace YOUR_API_KEY with a key from your account.